Subject: Re: [PATCH 6/3] fast-import: Allow cat requests at arbitrary points in stream

From: Ramkumar Ramachandra <[email-masked]>
Date: Wed, 8 Sep 2010 15:46:54 +0530

Hi Jonathan,

Jonathan Nieder writes:
> Rather than planning in advance and saving up a bunch of objects
> before a "commit" command, frontends might want to wait until the
> middle of a commit and request objects then.
> 
> Allow them to.
> 
> The new rule: a "cat" request can be inserted wherever a comment
> is allowed, which means at the start of any line except in the
> middle of a "data" command.

Excellent idea. This will certainly be useful when we start working on
the zero-tree refactor.

> That's it for today.  I'll be on vacation for the next couple of weeks
> so I can't promise to be responsive.  Comments are still welcome,
> though (nothing is really different except that the latency may be
> longer).

Quick status update: David has started working on the IO backend
that's necessary to get svn-fe to use svn-da. We'll start testing/
reviewing this series once that's done.

I'm busy studying for exams next week.

-- Ram